.site-header {
    position: relative;
    padding: var(--wp--custom--s-spacing) var(--wp--custom--l-spacing);
    background-color: var(--wp--preset--color--blue-1-a);
    color: var(--wp--custom--color-light);
    a {
        text-decoration: none;
        color: var(--wp--custom--color-light);
        &:hover, &:focus {
            text-decoration: underline;
        }
    }
    p {
        margin: 0;
    }
    .site-branding {
        display: flex;
        justify-content: space-between;
        //align-items: center;
        font-weight: 700;
    }
    .site-title {
        span:last-child {
            color: var(--wp--custom--color-accent)
        }
    }

    @include breakpoint(sm, true) {
        .site-home-link {
            display: none;
        }
        .main-navigation {
            position: absolute;
            z-index: 99999;
            width: 100%;
            left: 0;
            top: 100%;
            transition: all .25s ease;
            padding: var(--wp--custom--l-spacing);
            background-color: var(--wp--preset--color--grey-000);
            font-size: var(--wp--preset--font-size--extra-small);
            font-weight: 700;
            &:not(.toggled) {
                height: 0;
                visibility: hidden;
                opacity: 0;
            }
            &.toggled {
                height: auto;
                max-height: calc( 100vh - 40px );
                overflow: scroll;
                visibility: visible;
                opacity: 1;
                overscroll-behavior: contain;
            }

            &__title {
                margin-bottom: var(--wp--custom--l-spacing);
                color: var(--wp--preset--color--black);
            }

            .nav-menu {
                display: flex;
                flex-direction: column;
                gap: var(--wp--custom--l-spacing);
                padding: var(--wp--custom--l-spacing) 0;
            }

            a {
                display: inline-block;
                width: 100%;
                background-color: var(--wp--preset--color--primary);
                padding: var(--wp--custom--l-spacing);
            }

            .nav-diag {
                a {
                    color: var(--wp--preset--color--green-1-a);
                    background-color: var(--wp--preset--color--green-1-d);
                }
            }
            .nav-catalogue {
                a {
                    color: var(--wp--preset--color--blue-1-a);
                    background-color: var(--wp--preset--color--blue-1-d);
                }
            }
            .nav-ressource {
                a {
                    color: var(--wp--preset--color--blue-2-a);
                    background-color: var(--wp--preset--color--blue-2-d);
                }
            }                        
        }
    }

    @include breakpoint(sm) {
        position: sticky;
        top: 0;
        z-index: 9000;
        height: var(--wp--custom--header-height);
        padding: var(--wp--custom--s-spacing) var(--wp--custom--h-spacing);
        .site-branding {
            flex-direction: row-reverse;
        }
        .menu-toggle, .main-navigation {
            display: none;
        }
    }
}

.menu-toggle {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    border: none;
    padding: 0;
    gap: 3px;
    background: transparent;

    span {
        display: inline-block;
        height: 2px;
        border-radius: 2px;
        background-color: var(--wp--custom--color-light);
        pointer-events: none;
        &:not(:first-child):not(:last-child) {
            width: 20px;
        }
        &:first-child, &:last-child {
            width: 16px;
        }
    }

    &:hover, &:focus {
        background: transparent;
    }

    &[aria-expanded="true"] {
        transform: rotate(90deg);
    }
}